using System;

namespace JXC_MIS.Interface
{
	/// <summary>
	/// IReferto 的摘要说明。
	/// </summary>
	public interface IReferto
	{

		/// <summary>
		/// 显示参照窗口
		/// </summary>
		System.Windows.Forms.DialogResult ShowDialog();

		/// <summary>
		/// 数据源，Select SQL、表名、存储
		/// </summary>
	
		string DataSource 
		 {
			set ;
			get ;
		}
/// <summary>
/// 参照其他过滤条件
/// </summary>
		string OtherFilter 
		{
			set ;
			get ;
		}
	
		/// <summary>
		/// 数据字段唯一标识
		/// </summary>
		string DataSourceKey 
		{
			set ;
			get ;
		}
	
		/// <summary>
		/// 数据源命令类型
		/// </summary>
		System.Data.CommandType CommandType 
		{
			set;
			get; 
		}
//		/// <summary>
//		/// 获取参照返回值
//		/// </summary>
//		/// <returns></returns>
//		 System.Collections.Hashtable GetReturnHashtable
//		{
//			get ;
//		}
//
//		/// <summary>
//		/// 获取参照返回值DataTable
//		/// </summary>
//		/// <returns></returns>
//		 System.Data.DataTable GetReturnDataTable
//		{
//			get ;
//		}

		/// <summary>
		/// 获取参照返回值
		/// </summary>
		/// <returns></returns>
		System.Collections.Hashtable GetReturnHashtable();
		
		/// <summary>
		/// 获取参照返回值DataTable
		/// </summary>
		/// <returns></returns>
		System.Data.DataTable  GetReturnDataTable();

		/// <summary>
		/// 初始默认值
		/// </summary>
	     string DefaultValue 
		{
			set;
			get ;
		}
		/// <summary>
		/// 参照类型，网格列表参照=0,日期参照=1,ListBox列表参照=2,树型列表参照=3,树型文件路径参照=4。
		/// 也可以用_RefertoTypeFlag顾名思义
		/// </summary>
		 int RefertoType 
		{
			set ; 
			get ;
		}

		System.Drawing.Point Location
		{
			set;
			get;
		}
		


	}
}
